RESTinio

Functions
gzread.c File Reference
`#include "gzguts.h"`

Go to the source code of this file.

## Functions
int gz_load | OF ((gz_statep, unsigned char *, unsigned, unsigned *))
int gz_avail | OF ((gz_statep))
int gz_skip | OF ((gz_statep, z_off64_t))
z_size_t gz_read | OF ((gz_statep, voidp, z_size_t))
int | gz_load (gz_statep state, unsigned char *buf, unsigned len, unsigned *have)
int | gz_avail (gz_statep state)
int | gz_look (gz_statep state)
int | gz_decomp (gz_statep state)
int | gz_fetch (gz_statep state)
int | gz_skip (gz_statep state, z_off64_t len)
z_size_t | gz_read (gz_statep state, voidp buf, z_size_t len)
int ZEXPORT | gzread (gzFile file, voidp buf, unsigned len)
z_size_t ZEXPORT | gzfread (voidp buf, z_size_t size, z_size_t nitems, gzFile file)
int ZEXPORT | gzgetc (gzFile file)
int ZEXPORT | gzgetc_ (gzFile file)
int ZEXPORT | gzungetc (int c, gzFile file)
char *ZEXPORT | gzgets (gzFile file, char *buf, int len)
int ZEXPORT | gzdirect (gzFile file)
int ZEXPORT | gzclose_r (gzFile file)

## Function Documentation

## ◆ gz_avail()

int gz_avail | ( | gz_statep | state | ) |

Definition at line 56 of file gzread.c.

## ◆ gz_decomp()

int gz_decomp | ( | gz_statep | state | ) |

Definition at line 175 of file gzread.c.

## ◆ gz_fetch()

int gz_fetch | ( | gz_statep | state | ) |

Definition at line 229 of file gzread.c.

## ◆ gz_load()

int gz_load | ( | gz_statep | state,
|  | unsigned char * | buf,
|  | unsigned | len,
|  | unsigned * | have
| ) |  |

Definition at line 21 of file gzread.c.

## ◆ gz_look()

int gz_look | ( | gz_statep | state | ) |

Definition at line 91 of file gzread.c.

## ◆ gz_read()

z_size_t gz_read | ( | gz_statep | state,
|  | voidp | buf,
|  | z_size_t | len
| ) |  |

Definition at line 294 of file gzread.c.

## ◆ gz_skip()

int gz_skip | ( | gz_statep | state,
|  | z_off64_t | len
| ) |  |

Definition at line 259 of file gzread.c.

## ◆ gzclose_r()

int ZEXPORT gzclose_r | ( | gzFile | file | ) |

Definition at line 627 of file gzread.c.

## ◆ gzdirect()

int ZEXPORT gzdirect | ( | gzFile | file | ) |

Definition at line 607 of file gzread.c.

## ◆ gzfread()

z_size_t ZEXPORT gzfread | ( | voidp | buf,
|  | z_size_t | size,
|  | z_size_t | nitems,
|  | gzFile | file
| ) |  |

Definition at line 411 of file gzread.c.

## ◆ gzgetc()

int ZEXPORT gzgetc | ( | gzFile | file | ) |

Definition at line 447 of file gzread.c.

## ◆ gzgetc_()

int ZEXPORT gzgetc_ | ( | gzFile | file | ) |

Definition at line 476 of file gzread.c.

## ◆ gzgets()

char *ZEXPORT gzgets | ( | gzFile | file,
|  | char * | buf,
|  | int | len
| ) |  |

Definition at line 543 of file gzread.c.

## ◆ gzread()

int ZEXPORT gzread | ( | gzFile | file,
|  | voidp | buf,
|  | unsigned | len
| ) |  |

Definition at line 375 of file gzread.c.

## ◆ gzungetc()

int ZEXPORT gzungetc | ( | int | c,
|  | gzFile | file
| ) |  |

Definition at line 483 of file gzread.c.

## ◆ OF() [1/4]

int gz_avail OF | ( | (gz_statep) |  | ) |

## ◆ OF() [2/4]

int gz_load OF | ( | (gz_statep, unsigned char *, unsigned, unsigned *) |  | ) |

## ◆ OF() [3/4]

z_size_t gz_read OF | ( | (gz_statep, voidp, z_size_t) |  | ) |

## ◆ OF() [4/4]

int gz_skip OF | ( | (gz_statep, z_off64_t) |  | ) |